/* $Header:btest_h.c 12.0$ */
/* $ACIS:btest_h.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libF77/RCS/btest_h.c,v $ */

#ifndef lint
static char *rcsid = "$Header:btest_h.c 12.0$";
#endif

/* @(#)btest_h.c	5.1 - 86/12/09 - 09:04:03 */
#include "bit.h"

/* The ith bit of argument n is tested. If it is 1 return .TRUE.,
 * otherwise return .FALSE. The right most bit is bit 0.
 */

short btest_h(n,i)
short *n, *i;
{
	if (*i < 0 || *i >= NBSI)
		return(0L);
	return((*n & F77zmask[*i]) >> *i);
}
